
#include"CFontWindows.h"
#include"CSurfaceDIB.h"
#include"../../../../Auxiliary/CString.h"
#include"../../../../Auxiliary/Debug/CWarning.h"
#include"../../../../Auxiliary/Debug/CAssert.h"
#include"../../../../Auxiliary/Debug/CException.h"



namespace Maid
{
/*!
 	@class CFontWindows	CFontWindows.h
 	@brief	フォントハンドル
\n			Windows専用です
 */

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! コンストラクタ
/*!
 */
CFontWindows::CFontWindows()
{
	m_Size = SIZE2DI(0,0);
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! デストラクタ
/*!
 */
CFontWindows::~CFontWindows()
{
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! フォント名の取得
/*!
 *	引数などは IFont::GetFontName() を参照のこと
 */
mstring CFontWindows::GetFontName() const
{
	return m_FontName;
}

/*-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-=-*/
//! フォントの横幅の取得
/*!
 *	引数などは IFont::GetWidth() を参照のこと
 */
SIZE2DI CFontWindows::GetSize()  const
{
	return m_Size;
}


bool CFontWindows::IsAntialias() const
{
	return m_IsAntialias;
}

bool CFontWindows::IsBold() const
{
	return m_IsBold;
}

bool CFontWindows::IsItalic() const
{
	return m_IsItalic;
}


}
